Subject: Special tag attributes for form view helpers are missing (e.g. size)
Description

Form input elements can have a lot of HTML attributes e.g. for the size or maxlength. These are missing for the TextareViewHelper
and TextboxViewHelper. So currently no size can be set for text input fields! Apart from standard attributes, there are also proprietary
attribues (e.g. for auto completion), that should be supported.

Associated revisions
Revision d58a736a - 2009-06-29 21:38 - Christopher Hlubek

[TASK] Fluid (ViewHelpers): Added tag attributes for disabled, maxlength, readonly and size to the TextboxViewHelper for text input fields, refs #3792

History
#1 - 2009-07-28 19:58 - Bastian Waidelich

Christopher Hlubek wrote:

Form input elements can have a lot of HTML attributes e.g. for the size or maxlength.
These are missing [...]

Note, that all tag based viewhelpers have the argument "additionalAttributes". So you can do

<f:form action="foo" additionalAttributes="{target: '_blank', myCustomAttribute: 'freedom'}" />

Please close the ticket if that solves your problem.

Bastian

#2 - 2009-07-29 09:51 - Christopher Hlubek

It solves my problem at first glance, but standard attributes like size for an input element should really be settable directly on the tag. So I think we
should add the most used attributes to the form view helpers.

#3 - 2009-07-29 13:31 - Bastian Waidelich

Christopher Hlubek wrote:
standard attributes like size for an input element should really be settable directly on the tag.

TextboxViewHelper already has an attribute size!
TextareaViewHelper knows rows and cols.

So I think we should add the most used attributes to the form view helpers.

Afaik we've already implemented support for all standard attributes (based on http://w3schools.com/tags/). Which attributes are you missing?

Bastian

#4 - 2009-07-29 13:51 - Christopher Hlubek
- Status changed from New to Closed
- % Done changed from 0 to 100

Apparently the size was added by me already. Then I'll close the ticket.
